package ru.yandex.canvas.service.multitype.request;

import java.util.List;

import ru.yandex.canvas.service.multitype.singletype.request.SingleCreativeTypeOperationRequest;

public class DefaultRequest extends MultiCreativeTypeOperationRequest<SingleCreativeTypeOperationRequest> {
    private DefaultRequest(List<Long> creativeIds) {
        super(creativeIds);
    }

    public static ru.yandex.canvas.service.multitype.request.DefaultRequest of(List<Long> creativeIds) {
        return new ru.yandex.canvas.service.multitype.request.DefaultRequest(creativeIds);
    }
}
